---
apiVersion: ipam.mirantis.com/v1alpha1
kind: L2Template
metadata:
  labels:
    mosl2template: mosl2template
    ipam/UID: 570a29b6-c908-497a-bf0d-2547425e1df6
    ipam/Cluster: mos
    kaas.mirantis.com/provider: baremetal
    kaas.mirantis.com/region: region-one
  name: mosl2template
  namespace: lab
spec:
  autoIfMappingPrio:
  - provision
  - eno
  - enp
  clusterRef: mos
  l3Layout:
  - scope: namespace
    subnetName: vlan101
  - scope: namespace
    subnetName: vlan102
  - scope: namespace
    subnetName: vlan103
  - scope: namespace
    subnetName: vlan104
  #  # protect go-template below from Jinja
  npTemplate: |
    version: 2
    ethernets:
      {{nic 0}}:
        dhcp4: false
        dhcp6: false
        addresses:
          - {{ip "0:vlan102"}}
        nameservers:
          addresses: {{nameservers_from_subnet "vlan102"}}
        match:
          macaddress: {{mac 0}}
        set-name: {{nic 0}}
      {{nic 1}}:
        dhcp4: false
        dhcp6: false
        addresses:
          - {{ip "1:vlan101"}}
        gateway4: {{gateway_from_subnet "vlan101"}}
        nameservers:
          addresses: {{nameservers_from_subnet "vlan101"}}
        match:
          macaddress: {{mac 1}}
        set-name: {{nic 1}}
      {{nic 2}}:
        dhcp4: false
        dhcp6: false
        addresses:
          - {{ip "2:vlan103"}}
        nameservers:
          addresses: {{nameservers_from_subnet "vlan103"}}
        match:
          macaddress: {{mac 2}}
        set-name: {{nic 2}}
      {{nic 3}}:
        dhcp4: false
        dhcp6: false
        match:
          macaddress: {{mac 3}}
        set-name: {{nic 3}}
  #  # end protection
